## org.apache.batik.bridge
Interface PaintBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  AbstractSVGGradientElementBridge, ColorSwitchBridge, SVGLinearGradientElementBridge, SVGPatternElementBridge, SVGRadialGradientElementBridge, SVGSolidColorElementBridge

    public interface PaintBridge

extends Bridge

Bridge class for vending `Paint` objects.

Method Summary
`java.awt.Paint` `createPaint(BridgeContext ctx, org.w3c.dom.Element paintElement, org.w3c.dom.Element paintedElement, GraphicsNode paintedNode, float opacity)` Creates a `Paint` according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createPaint

    java.awt.Paint createPaint(BridgeContext ctx,
                               org.w3c.dom.Element paintElement,
                               org.w3c.dom.Element paintedElement,
                               GraphicsNode paintedNode,
                               float opacity)

  Creates a `Paint` according to the specified parameters.

  Parameters:
    `ctx` - the bridge context to use
    `paintElement` - the element that defines a Paint
    `paintedElement` - the element referencing the paint
    `paintedNode` - the graphics node on which the Paint will be applied
    `opacity` - the opacity of the Paint to create

Copyright © 2008 Apache Software Foundation. All Rights Reserved.